curl and libcurl 8.15.0

 Public curl releases:         269
 Command line options:         269
 curl_easy_setopt() options:   308
 Public functions in libcurl:  96
 Contributors:                 3460

This release includes the following changes:

 o TLS: remove support for Secure Transport and BearSSL [19]

This release includes the following bugfixes:

 o altsvc: accept 'clear' without semicolon as well [190]
 o asyn-ares: remove redundant NULL check [152]
 o asyn-thrdd: free the previous name before strdup'ing the new [84]
 o autotools: detect and link `brotlicommon` library for brotli [130]
 o autotools: drop `$top_builddir/src` from src header path [23]
 o autotools: drop headers from src mk-unity rules (fixup) [136]
 o autotools: drop no longer necessary `--srcdir` unity options [66]
 o autotools: drop redundant `Makefile.inc` from `EXTRA_DIST` in src [127]
 o autotools: simplify configuration in tests, examples [47]
 o bufq: change read/write signatures [120]
 o bufq: remove the unused Curl_bufq_unwrite function [143]
 o build: assume `sys/socket.h`, `sys/time.h` on non-Windows (as in `curl/curl.h`) [21]
 o build: drop `HAVE_SYS_SOCKET_H` and `HAVE_SYS_TIME_H` macros [69]
 o build: drop explicit curlx from hdr paths, refer headers with `curlx/` prefix [150]
 o build: drop unused variables in tests
 o build: fix libcurltool with cmake and tunits, related tidy-ups [138]
 o build: split `.c` and `.h` file lists in tests [128]
 o build: stop checking for `sys/stat.h` [146]
 o build: stubgss tidy-ups (in tests) [137]
 o build: sync build scripts between client/libtest [49]
 o build: tidy up `Makefile.inc` use in lib and src [116]
 o build: tidy up header paths, use srcdir where possible [42]
 o cf-socket: make socket data_pending a nop [175]
 o checksrc-all: rewrite in Perl, remove `checksrc.bat` [217]
 o checksrc: reduce exceptions, apply again to curlx [114]
 o cmake/FindGSS: fix processing C header path options [160]
 o cmake/FindGSS: initialize result variables [159]
 o cmake: `curl_add_clang_tidy_test_target` tidy-ups [185]
 o cmake: build `stubgss` library for libtests to match autotools [34]
 o cmake: check USE_WINDOWS_SSPI when adding secur32 to CURL_LIBS [144]
 o cmake: configure c-ares header directory in project root (was: lib) [106]
 o cmake: document OpenSSL and ngtcp2 crypto lib custom variables [29]
 o cmake: drop never propagated C macros [22]
 o cmake: drop passing redundant `CURL_STATICLIB` in examples and clients [52]
 o cmake: drop redundant macro from test clients [51]
 o cmake: drop reference to future variable
 o cmake: enable soversion by default for OpenHarmony OS [131]
 o cmake: fix `curl_add_clang_tidy_test_target` when no `-D` option [155]
 o cmake: fix generator expression in docs/examples [109]
 o cmake: gather options recursively in `curl_add_clang_tidy_test_target` [156]
 o cmake: make docs depend on support files [80]
 o cmake: move `OUTPUT` argument in the `add_custom_command()` line [50]
 o cmake: omit clang-tidy on internal libs curlu and curltool [64]
 o cmake: replace `cmakelint` with `cmake-lint` from `cmakelang`, fix issues [20]
 o cmake: replace the way clang-tidy verifies tests, fix issues found [101]
 o cmake: simplify handling generated `lib1521.c` in libtests [24]
 o cmake: sync `target_link_libraries()` order in tests more [44]
 o cmake: sync tests scripts by using the variable `BUNDLE` [46]
 o cmake: sync tests scripts with each other and autotools (more) [100]
 o cmake: use `target_link_options()` when available [43]
 o config-win32: fix default targets, shorten macro logic [227]
 o configure: order LDAP after the SSL libraries
 o connect: drop unused struct member [209]
 o connection: clarify `transport` [197]
 o connection: eliminate member `remote_addr` [10]
 o curl-config: fix whitespace in usage text [122]
 o curl.h: make CURL_IPRESOLVE_* symbols defined as longs [206]
 o curl.h: make CURLSSLOPT_* symbols defined as longs [3]
 o curl.h: remove the "RESERVED" error codes [2]
 o curl: implement non-blocking STDIN read on Windows [28]
 o curl: improve non-blocking STDIN performance [129]
 o curl: remove the global argument from many functions [218]
 o curl: unify pointer names to global config [219]
 o curl_get_line: make sure lines end with newline [110]
 o curl_memory.h: fix to undefine `accept4` [180]
 o curl_path: make SFTP handle a path like /~ properly. [11]
 o curlinfo: provide the 'digest' feature [168]
 o CURLSHOPT_SHARE.md: mention multi-threading requires callbacks [161]
 o DEPRECATE.md: add VS2005 removal to the list [214]
 o digest: fix build with disabled digest auth [72]
 o DISTROS: update NixOS link
 o docs,tests: fix english grammar "allow to" -> "allow <something> to" [158]
 o docs/CONTRIBUTE: fix broken link [173]
 o docs/examples: add ftp-delete.c [5]
 o docs: beef up examples/websocket.c [189]
 o docs: fix broken link in CODE_REVIEW.md [67]
 o docs: fix broken link in INSTALL.md [68]
 o docs: fix docs for CURLOPT_PREQUOTE after #17616 [70]
 o docs: fix documentation of connect_only 2 [78]
 o docs: fix two typos [163]
 o docs: mention that the netrc file works without port numbers [112]
 o docs: mention the as-is concept generically [225]
 o docs: note SSLS-EXPORT feature in -ssl-sessions doc [199]
 o docs: reflect that delimiter-separated capath is only OpenSSL [135]
 o docs: sync -tls-earlydata support w/ CURLOPT_SSL_OPTIONS [198]
 o docs: warn about lifetime in CURLOPT_CLOSESOCKET* [54]
 o easy: fix comment-documentation [36]
 o easygetopt: fix curl logo in header comment [167]
 o firefox-db2pem: avoid use of eval in script [103]
 o ftp: fix prequotes for a directory in URL [83]
 o ftplistparser: split parse_unix into sub functions [77]
 o h2_serverpush: fix file handle leaks reported by clang-tidy [105]
 o h3: fix query of concurrent streams [220]
 o http/3: report handshake with version and cipher as for TCP connections [212]
 o http2: do not delay RST send on aborted transfer [57]
 o http2: fix var types in is_alive() implementations [222]
 o http: explicitly ignore parsing errors for Retry-After [98]
 o http: fix build with cookies and HSTS disabled [124]
 o http_ntlm: protect against null deref [95]
 o http_ntlm: remove unreachable code [88]
 o INSTALL.md: cygwin details and add source code link [4]
 o ldap: avoid automake caching issues with LDAP library names
 o ldap: if ldap-lib is sufficient, add it to LIBS.
 o ldap: initial support for --with-ldap option
 o lib2082: drop `typedef struct` [118]
 o lib: address singleuse issues [132]
 o lib: avoid reusing unclean connection [73]
 o lib: drop two interim macros in favor of native libcurl API calls [172]
 o lib: fix unused parameter/function compiler warnings [186]
 o lib: make `CURLX_SET_BINMODE()` and use it [39]
 o lib: make `curlx_wait_ms()` and use it [40]
 o lib: replace scache no-op macros with `#ifdef` [117]
 o lib: stop `time()` debug overrides at the end of source in altsvc, hsts [211]
 o lib: unify recv/send function signatures [92]
 o libcurl-env.md: drop LOGNAME, USER and NTLMUSER [99]
 o libcurl.m4: fix indentation [194]
 o libssh2: remove use of 'initialised' for cleanup [208]
 o libssh: de-complex myssh_statemach_act() [18]
 o libssh: fix readdir issues [191]
 o libtests: make test 1503,1504,1505 use the 1502 binary [90]
 o libtests: more header tidy-ups [224]
 o libtests: stop building the sames source multiple times [89]
 o memdebug.h: #undef `fclose` before defining it
 o memdebug.h: eliminate global macro `CURL_MT_LOGFNAME_BUFSIZE` [178]
 o memdebug: include in unity batch [63]
 o memory: stop overriding unused `wcsdup()`/`_wcsdup()` system functions [204]
 o memory: tidy up `_tcsdup()` override [202]
 o misc: fix typos [207]
 o mk-lib1521: replace `printf` with `curl_mprintf` [141]
 o multi: add dirty bitset [115]
 o multi: do no expire a blocked transfer [56]
 o multi: fix polling with pending input [60]
 o multi: remove careful bounds check as coverity says it is not needed [174]
 o multi: xfer table/bitset, handle limits [142]
 o ngtcp2: fix coverity warning about result handling [166]
 o openssl: enable readahead [91]
 o openssl: error on SSL_ERROR_SYSCALL [94]
 o openssl: fix handling of buffered data [82]
 o openssl: fix openssl engine use [74]
 o openssl: fix pkcs11 provider available check [154]
 o os400: upgrade ILE/RPG bindings with latest definitions. [184]
 o pingpong: on disconnect, check for unflushed pingpong state [12]
 o projects/build-openssl.bat: remove [223]
 o pytest test_07_70, weaken early data check [96]
 o pytest: adapt for runs with openssl-1.1.1
 o pytest: disable test_07_37 and test_07_36 with openssl's quic [1]
 o quic: implement CURLINFO_TLS_SSL_PTR [176]
 o RELEASE-PROCEDURE.md: update docs/VERSIONS [7]
 o runtests.pl: fix sprintf() using one too many %s [134]
 o runtests: fix `LD_PRELOAD` detection for cmake-built curl binaries [123]
 o runtests: support memory-limits per test [193]
 o rustls: apply memory function overrides, fixing an ECH buffer free [181]
 o rustls: don't try printing the not provided file [104]
 o schannel: allow partial chains for manual peer verification [79]
 o schannel: drop Windows 2000 compatibility logic [26]
 o scorecard: flame graphs and documentation [165]
 o SCP/SFTP: avoid busy loop after EAGAIN [8]
 o scripts: fix to quote the copyright email address [210]
 o socks: fix query when filter context is null [221]
 o system.h: remove some macros [6]
 o test1117: reduce write delays [9]
 o test1175: fix to run, and fix documentation issues detected [216]
 o test1222: fix for out-of-tree and no-libcurl-manual builds [215]
 o test1499, 1599: use `%LOGDIR` [226]
 o test1499: verify two chunked responses on reused connection [145]
 o test1596: let test pass after year 2036 [35]
 o test1706: pass include directory to `managen` for out-of-tree builds [187]
 o tests/client: drop autotools logic no longer necessary [45]
 o tests/client: use `curl_mfprintf()` [48]
 o tests/dnsd: read config from file [85]
 o tests/http/clients: drop hack and use `curl_setup.h` again [58]
 o tests/http/clients: move to tests/client [53]
 o tests/http/requirements: remove multipart [183]
 o tests/libtest: call `curlx_now_init()` for unit 1399, 2600 (Windows) [76]
 o tests/libtest: drop `TEST_HANG_TIMEOUT` redefinition hack [108]
 o tests/libtest: drop a checksrc exception [119]
 o tests/libtest: use `curltime` from curlx [71]
 o tests/server/util.c: include netinet/in6.h [113]
 o tests/server: de-dupe/merge three `sockdaemon()` clones into one [149]
 o tests/server: drop `memdebug.h` [111]
 o tests/server: make all global vars/funcs static [41]
 o tests/server: move memory init to `memptr.c` [140]
 o tests/servers.pm: add more ways to figure out current user [17]
 o tests: always make bundles, adapt build and tests [81]
 o tests: bundle http clients, de-dupe, enable for MSVC [61]
 o tests: constify, make consts static [139]
 o tests: drop `BUNDLE_SRC` variable [59]
 o tests: drop mk-bundle exceptions [25]
 o tests: drop unused or redundant includes [153]
 o tests: drop useless "nodist_SOURCES" assignments [93]
 o tests: fail torture if !valgrind&threaded resolver [31]
 o tests: fix 1301, 1308 to fail on error [177]
 o tests: fix `BUNDLE` variable references in `Makefile.am` [125]
 o tests: make all names < 75 characters long [182]
 o tests: make individual test sources compile cleanly [107]
 o tests: make sshserver less verbose [55]
 o tests: move `curlcheck.h` to libtest as `unitcheck.h` [171]
 o tests: move GSS-API dynamic stub into debug-mode libcurl [169]
 o tests: torture: don't duplicate valgrind command [32]
 o tests: use %b64[] to base64 data [151]
 o tests: use %b64[] to base64 data in 2056, 2057 [126]
 o tftpd: use `CURLMIN()` macro [38]
 o tidy-up: replace `<memdebug.h>` with `"memdebug.h"` (src, units) [147]
 o tls: remove Curl_ssl false_start [86]
 o tool1621: drop unused internal libcurl headers [157]
 o tool_getparam: fix --ftp-pasv [15]
 o tool_operate: fix return code when --retry is used but not triggered [13]
 o tool_paramhelp: fix language in comments [196]
 o top-complexity: lower max allowed complexity threshold to 90 [33]
 o unit tests: extract "private" prototypes at build time [170]
 o unit1302: expand the base64 encode/decode tests [148]
 o url: fix connection lifetime checks [14]
 o url: fix NULL deref with bad password when no user is provided [87]
 o urlapi: simplify and split into sub functions [16]
 o urlapi: use uppercase hex encoding [133]
 o vauth: move auth structs to conn meta data [30]
 o vtls: change send/recv signatures of tls backends [65]
 o vtls: fix a copy-pasted early data comment typo [200]
 o vtls: log rustls negotiated KEX group name [201]
 o vtls: prefer ciphersuite to cipher in msgs [203]
 o vtls: prefer rustls-ffi ciphersuite name API [205]
 o VULN-DISCLOSURE-POLICY.md: fix typos [164]
 o VULN-DISCLOSURE-POLICY: all reports should be disclosed [102]
 o VULN-DISCLOSURE-POLICY: exclude not installed software [121]
 o VULN-DISCLOSURE-POLICY: minor language polish [162]
 o warnless: drop parts of the `read`/`write` preprocessor hack (Windows) [37]
 o warnless: replace `read()`/`write()` wrapper functions with macros (Windows) [75]
 o windows: drop redundant `curl_wcsdup_callback` callback [188]
 o windows: fixup `fopen()` in `CURLDEBUG` builds [62]
 o windows: reduce/stop loading DLLs at runtime [27]
 o wolfssl: add support for ML_KEM hybrids [195]
 o ws: drop redundant `CURL_EXTERN` from function definitions [179]
 o xfer: manage pause bits [97]

This release includes the following known bugs:

 See https://curl.se/docs/knownbugs.html

For all changes ever done in curl:

 See https://curl.se/changes.html

Planned upcoming removals include:

 o Support for the msh3 HTTP/3 backend
 o Supporting curl builds using VS2008
 o The winbuild build system
 o Windows CE support

 See https://curl.se/dev/deprecate.html

This release would not have looked like this without help, code, reports and
advice from friends like these:

  4lan.m, afengsoft on github, albrechtd on github, Ameda Amahru,
  Bartosz Ruszczak, behindtheblackwall on hackerone, Bernhard M. Wiedemann,
  Brad Harder, Brian Harris, Calvin Ruocco, Carlos Henrique Lima Melara,
  Christian Hesse, Christian Weisgerber, Christopher Boyd, Dan Fandrich,
  Daniel Gustafsson, Daniel McCarney, Daniel Stenberg, defnull, DoI,
  Edwin Török, Eshan Kelkar, Ethan Alker, Fabrício Canedo, fjaell on github,
  hiimmat on github, Jeroen Ooms, Joel Depooter, John Haugabook,
  Karthik Dasari, Keno Fischer, Kirill Obukhov, Larry Campbell,
  Luca Kellermann, Luke Wilde, Marcel Lang, Marcel Raad, Markus Unterwaditzer,
  Max Dymond, Michael Kaufmann, NINIKA, Orgad Shaneh, Patrick Monnerat,
  Patrick Stoeckle, Piotr Nakraszewicz, Randall S. Becker, Ray Satiro,
  renovate[bot], Rod Widdowson, Ryan Hooper, SC404, Stefan Eissing,
  Theodore A. Roth, Tristan Perrault, Viktor Szakats, Yedaya Katsman, z2_
  (57 contributors)

References to bug reports and discussions on issues:

 [1] = https://curl.se/bug/?i=17539
 [2] = https://curl.se/bug/?i=17563
 [3] = https://curl.se/bug/?i=17535
 [4] = https://curl.se/bug/?i=17485
 [5] = https://curl.se/bug/?i=17540
 [6] = https://curl.se/bug/?i=17498
 [7] = https://curl.se/bug/?i=17584
 [8] = https://curl.se/bug/?i=17533
 [9] = https://curl.se/bug/?i=17530
 [10] = https://curl.se/bug/?i=17385
 [11] = https://curl.se/bug/?i=17534
 [12] = https://curl.se/bug/?i=17555
 [13] = https://curl.se/bug/?i=17554
 [14] = https://curl.se/bug/?i=17571
 [15] = https://curl.se/bug/?i=17545
 [16] = https://curl.se/bug/?i=17565
 [17] = https://curl.se/bug/?i=17544
 [18] = https://curl.se/bug/?i=17573
 [19] = https://curl.se/bug/?i=16677
 [20] = https://curl.se/bug/?i=17576
 [21] = https://curl.se/bug/?i=17522
 [22] = https://curl.se/bug/?i=17580
 [23] = https://curl.se/bug/?i=17679
 [24] = https://curl.se/bug/?i=17676
 [25] = https://curl.se/bug/?i=17468
 [26] = https://curl.se/bug/?i=17447
 [27] = https://curl.se/bug/?i=17413
 [28] = https://curl.se/bug/?i=17451
 [29] = https://curl.se/bug/?i=17574
 [30] = https://curl.se/bug/?i=17557
 [31] = https://curl.se/bug/?i=17501
 [32] = https://curl.se/bug/?i=17501
 [33] = https://curl.se/bug/?i=17689
 [34] = https://curl.se/bug/?i=17653
 [35] = https://curl.se/bug/?i=17665
 [36] = https://curl.se/bug/?i=17664
 [37] = https://curl.se/bug/?i=17673
 [38] = https://curl.se/bug/?i=17674
 [39] = https://curl.se/bug/?i=17672
 [40] = https://curl.se/bug/?i=17641
 [41] = https://curl.se/bug/?i=17671
 [42] = https://curl.se/bug/?i=17630
 [43] = https://curl.se/bug/?i=17670
 [44] = https://curl.se/bug/?i=17669
 [45] = https://curl.se/bug/?i=17668
 [46] = https://curl.se/bug/?i=17667
 [47] = https://curl.se/bug/?i=17661
 [48] = https://curl.se/bug/?i=17651
 [49] = https://curl.se/bug/?i=17660
 [50] = https://curl.se/bug/?i=17658
 [51] = https://curl.se/bug/?i=17657
 [52] = https://curl.se/bug/?i=17655
 [53] = https://curl.se/bug/?i=17637
 [54] = https://curl.se/bug/?i=17816
 [55] = https://curl.se/bug/?i=17647
 [56] = https://curl.se/bug/?i=17639
 [57] = https://curl.se/bug/?i=17611
 [58] = https://curl.se/bug/?i=17642
 [59] = https://curl.se/bug/?i=17692
 [60] = https://curl.se/bug/?i=17636
 [61] = https://curl.se/bug/?i=17627
 [62] = https://curl.se/bug/?i=16747
 [63] = https://curl.se/bug/?i=16746
 [64] = https://curl.se/bug/?i=17693
 [65] = https://curl.se/bug/?i=17593
 [66] = https://curl.se/bug/?i=17632
 [67] = https://curl.se/bug/?i=17656
 [68] = https://github.com/curl/curl-www/issues/427
 [69] = https://curl.se/bug/?i=17581
 [70] = https://curl.se/bug/?i=17690
 [71] = https://curl.se/bug/?i=17716
 [72] = https://curl.se/bug/?i=17612
 [73] = https://curl.se/bug/?i=17578
 [74] = https://curl.se/bug/?i=17617
 [75] = https://curl.se/bug/?i=17619
 [76] = https://curl.se/bug/?i=17714
 [77] = https://curl.se/bug/?i=17608
 [78] = https://curl.se/bug/?i=17621
 [79] = https://curl.se/bug/?i=17418
 [80] = https://curl.se/bug/?i=17620
 [81] = https://curl.se/bug/?i=17590
 [82] = https://curl.se/bug/?i=17601
 [83] = https://curl.se/bug/?i=8602
 [84] = https://curl.se/bug/?i=17602
 [85] = https://curl.se/bug/?i=17543
 [86] = https://curl.se/bug/?i=17595
 [87] = https://curl.se/bug/?i=17659
 [88] = https://curl.se/bug/?i=17587
 [89] = https://curl.se/bug/?i=17598
 [90] = https://curl.se/bug/?i=17591
 [91] = https://curl.se/bug/?i=17548
 [92] = https://curl.se/bug/?i=17546
 [93] = https://curl.se/bug/?i=17688
 [94] = https://curl.se/bug/?i=17471
 [95] = https://curl.se/bug/?i=17585
 [96] = https://curl.se/bug/?i=17575
 [97] = https://curl.se/bug/?i=17650
 [98] = https://curl.se/bug/?i=17682
 [99] = https://curl.se/bug/?i=17713
 [100] = https://curl.se/bug/?i=17711
 [101] = https://curl.se/bug/?i=17705
 [102] = https://curl.se/bug/?i=17778
 [103] = https://curl.se/bug/?i=17766
 [104] = https://curl.se/bug/?i=17704
 [105] = https://curl.se/bug/?i=17706
 [106] = https://curl.se/bug/?i=17707
 [107] = https://curl.se/bug/?i=17703
 [108] = https://curl.se/bug/?i=17702
 [109] = https://curl.se/bug/?i=17767
 [110] = https://curl.se/bug/?i=17697
 [111] = https://curl.se/bug/?i=17700
 [112] = https://curl.se/bug/?i=17698
 [113] = https://curl.se/mail/lib-2025-06/0016.html
 [114] = https://curl.se/bug/?i=17764
 [115] = https://curl.se/bug/?i=17662
 [116] = https://curl.se/bug/?i=17694
 [117] = https://curl.se/bug/?i=17754
 [118] = https://curl.se/bug/?i=17763
 [119] = https://curl.se/bug/?i=17762
 [120] = https://curl.se/bug/?i=17396
 [121] = https://curl.se/bug/?i=17761
 [122] = https://curl.se/bug/?i=17758
 [123] = https://curl.se/bug/?i=17756
 [124] = https://curl.se/bug/?i=17753
 [125] = https://curl.se/bug/?i=17750
 [126] = https://curl.se/bug/?i=17748
 [127] = https://curl.se/bug/?i=17747
 [128] = https://curl.se/bug/?i=17745
 [129] = https://curl.se/bug/?i=17566
 [130] = https://curl.se/bug/?i=17678
 [131] = https://curl.se/bug/?i=17743
 [132] = https://curl.se/bug/?i=17734
 [133] = https://curl.se/bug/?i=17685
 [134] = https://curl.se/bug/?i=17740
 [135] = https://curl.se/bug/?i=17737
 [136] = https://curl.se/bug/?i=17742
 [137] = https://curl.se/bug/?i=17738
 [138] = https://curl.se/bug/?i=17727
 [139] = https://curl.se/bug/?i=17736
 [140] = https://curl.se/bug/?i=17735
 [141] = https://curl.se/bug/?i=17732
 [142] = https://curl.se/bug/?i=17731
 [143] = https://curl.se/bug/?i=17730
 [144] = https://curl.se/bug/?i=17728
 [145] = https://curl.se/bug/?i=17815
 [146] = https://curl.se/bug/?i=17724
 [147] = https://curl.se/bug/?i=17722
 [148] = https://curl.se/bug/?i=17726
 [149] = https://curl.se/bug/?i=17719
 [150] = https://curl.se/bug/?i=17680
 [151] = https://curl.se/bug/?i=17721
 [152] = https://curl.se/bug/?i=17720
 [153] = https://curl.se/bug/?i=17717
 [154] = https://curl.se/bug/?i=17804
 [155] = https://curl.se/bug/?i=17813
 [156] = https://curl.se/bug/?i=17812
 [157] = https://curl.se/bug/?i=17811
 [158] = https://curl.se/bug/?i=17787
 [159] = https://curl.se/bug/?i=17806
 [160] = https://curl.se/bug/?i=17805
 [161] = https://curl.se/bug/?i=17774
 [162] = https://curl.se/bug/?i=17799
 [163] = https://curl.se/bug/?i=17795
 [164] = https://curl.se/bug/?i=17796
 [165] = https://curl.se/bug/?i=17792
 [166] = https://curl.se/bug/?i=17783
 [167] = https://curl.se/bug/?i=17793
 [168] = https://curl.se/bug/?i=17786
 [169] = https://curl.se/bug/?i=17752
 [170] = https://curl.se/bug/?i=17750
 [171] = https://curl.se/bug/?i=17868
 [172] = https://curl.se/bug/?i=17772
 [173] = https://curl.se/bug/?i=17780
 [174] = https://curl.se/bug/?i=17784
 [175] = https://curl.se/bug/?i=17785
 [176] = https://curl.se/bug/?i=17801
 [177] = https://curl.se/bug/?i=17867
 [178] = https://curl.se/bug/?i=17833
 [179] = https://curl.se/bug/?i=17832
 [180] = https://curl.se/bug/?i=17831
 [181] = https://curl.se/bug/?i=17830
 [182] = https://curl.se/bug/?i=17824
 [183] = https://curl.se/bug/?i=17825
 [184] = https://curl.se/bug/?i=17822
 [185] = https://curl.se/bug/?i=17814
 [186] = https://curl.se/bug/?i=17818
 [187] = https://curl.se/bug/?i=17926
 [188] = https://curl.se/bug/?i=17843
 [189] = https://curl.se/bug/?i=13288
 [190] = https://curl.se/bug/?i=17917
 [191] = https://curl.se/bug/?i=17856
 [193] = https://curl.se/bug/?i=17821
 [194] = https://curl.se/bug/?i=17913
 [195] = https://curl.se/bug/?i=17902
 [196] = https://curl.se/bug/?i=17895
 [197] = https://curl.se/bug/?i=17923
 [198] = https://curl.se/bug/?i=17909
 [199] = https://curl.se/bug/?i=17909
 [200] = https://curl.se/bug/?i=17907
 [201] = https://curl.se/bug/?i=17906
 [202] = https://curl.se/bug/?i=17845
 [203] = https://curl.se/bug/?i=17906
 [204] = https://curl.se/bug/?i=17840
 [205] = https://curl.se/bug/?i=17906
 [206] = https://curl.se/bug/?i=17790
 [207] = https://curl.se/bug/?i=17904
 [208] = https://curl.se/bug/?i=17819
 [209] = https://curl.se/bug/?i=17908
 [210] = https://curl.se/bug/?i=17903
 [211] = https://curl.se/bug/?i=17897
 [212] = https://curl.se/bug/?i=17922
 [214] = https://curl.se/bug/?i=17934
 [215] = https://curl.se/bug/?i=17892
 [216] = https://curl.se/bug/?i=17880
 [217] = https://curl.se/bug/?i=17882
 [218] = https://curl.se/bug/?i=17890
 [219] = https://curl.se/bug/?i=17888
 [220] = https://curl.se/bug/?i=17886
 [221] = https://curl.se/bug/?i=17885
 [222] = https://curl.se/bug/?i=17881
 [223] = https://curl.se/bug/?i=17879
 [224] = https://curl.se/bug/?i=17875
 [225] = https://curl.se/bug/?i=17829
 [226] = https://curl.se/bug/?i=17871
 [227] = https://curl.se/bug/?i=17916
